<?php

class default_page extends SYSTEM\PAGE\Page {
    public static function js(){
        return '<script type="text/javascript" src="'.\SYSTEM\WEBPATH(new PLIB(),'jquery/jquery-1.9.1.min.js').'"></script>'.
               '<script type="text/javascript" src="'.\SYSTEM\WEBPATH(new PLIB(),'bootstrap/js/bootstrap.min.js').'"></script>'.
               '<script type="text/javascript" src="http://www.openlayers.org/api/OpenLayers.js"></script>'.
               '<script type="text/javascript" src="http://www.openstreetmap.org/openlayers/OpenStreetMap.js"></script>'.
               '<script type="text/javascript" src="'.\SYSTEM\WEBPATH(new PPAGE(),'default_page/default_page.js').'"></script>'.
                '<script type="text/javascript" src="'.\SYSTEM\WEBPATH(new PPAGE(),'default_page/js/galleria/galleria-1.2.9.min.js').'"></script>'.
               '<script type="text/javascript" src="'.\SYSTEM\WEBPATH(new PPAGE(),'default_page/map.js').'"></script>';
    }
    public static function css(){
        return '<link rel="stylesheet" href="'.\SYSTEM\WEBPATH(new PLIB(),'bootstrap/css/bootstrap.min.css').'" type="text/css" />'.
               '<link rel="stylesheet" href="'.\SYSTEM\WEBPATH(new PPAGE(),'default_page/index.css').'" type="text/css" />';
    }
    public function html() {
        $vars = array();
        $vars['js'] = self::js();
        $vars['css'] = self::css();
        $vars['default_gallery'] = saimod_webcraft_gallery::getGalleryGalleria(3);
        $vars = array_merge($vars, \SYSTEM\locale::getStrings(\DBD\locale_string::CATEGORY_RHEIN_TEXT));
        $vars = array_merge($vars, \SYSTEM\locale::getStrings(\DBD\locale_string::CATEGORY_RHEIN_OTHER));
        return \SYSTEM\PAGE\replace::replaceFile(\SYSTEM\SERVERPATH(new PPAGE(),'default_page/rhein.tpl'), $vars);
    }
}